Subject: Re: bug#1496: 23.0.60; comint-delete-output should copy region to the kill ring

From: Barry Warsaw <[email-masked]>
Date: Thu, 11 Dec 2008 11:48:55 -0500

On Dec 11, 2008, at 11:24 AM, Stefan Monnier wrote:

>> comint-delete-output uses delete-region instead of kill-region  
>> because the
>> latter sets this-command.
>
> I do not know if it's the reason for it, but I think your suggestion  
> is
> about right, except that if the command kills the output, it should be
> called comint-kill-output rather than comint-delete-output.

Yes, that's a better name for it, thanks.

I remember reading a comment somewhere that that was the reason for  
using delete-region instead of kill-region, but I could be  
misremembering.

Cheers
- -Barry